import type { ILiveAgentProvider } from "./liveagent-types";
export type LiveAgentProviderType = "salesforce" | "custom" | "liveagent";
export declare class LiveAgentProvider {
    static readonly provider: LiveAgentProviderType;
    private static providerInstance;
    constructor();
    static getProvider(provider?: LiveAgentProviderType): ILiveAgentProvider;
}
